use serde::Deserialize;
use std::{env, fs, net::SocketAddr};

#[derive(Debug, Deserialize)]
pub struct Config {
    pub listen: SocketAddr,
    pub db_conn: String,
    pub image_path: String,
}

impl Config {
    pub fn load() -> anyhow::Result<Self> {
        let env = env::var("CONFIG");
        let path = env.as_deref().unwrap_or("config.toml");
        let str = fs::read_to_string(path)?;
        Ok(toml::from_str(&str)?)
    }
}
