use askama::Template;
use chrono::{DateTime, Utc};

#[derive(Template)]
#[template(path = "index.html")]
pub struct Index {
    pub posts: Vec<Post>,
}

#[derive(Template)]
#[template(path = "add.html")]
pub struct Add();

#[derive(Debug)]
pub struct AddPost {
    pub post: Option<String>,
    pub show_ip: bool,
    pub filename: Option<String>,
    pub image: Vec<u8>,
}

pub struct Post {
    pub id: i32,
    pub content: String,
    pub ip: String,
    pub show_ip: bool,
    pub image: Option<String>,
    pub time: DateTime<Utc>,
    pub date: String,
}
